/*
 * Title: main_hw4_1.cpp
 * Abstract: given an input of ints, move negative ints to the left
 * Name: Keldin Maldonado
 * Date: 10/03/2023
 */

#include <iostream>
#include <vector>

using namespace std;

void print(vector<int> &vec, int &i) {
  for (i = 0; i < vec.size() - 1; i++) {
    cout << vec[i] << " ";
  }
  // make sure no extra space at the end, last element
  cout << vec[i] << "\n";
}

int main() {
  // variables for input and other swapping related stuff
  int i = 0, j = 0, k = 0;
  cin >> k;

  vector<int> vec;
  vector<int> vec2;
  for (i = 0; i < k; i++) {
    cin >> j;
    vec.push_back(j);
    vec2.push_back(j);
  }

  i = 0, j = vec.size() - 1;
  while (j > i) {
    if (vec[i] >= 0 && vec[j] < 0) {
      k = vec[j];

      vec[j] = vec[i];
      vec[i] = k;
    }

    if (vec[i] < 0) {
      i++;
    }

    if (vec[j] >= 0) {
      j--;
    }
  }

  for (i = 0, j = 0; j < vec2.size(); j++) {
    if (vec2[i] >= 0 && vec2[j] < 0) {
      k = vec2[j];

      vec2[j] = vec2[i];
      vec2[i] = k;
    }

    if (vec2[i] < 0) {
      i++;
    }
  }

  print(vec, i);
  print(vec2, i);
  return 0;
}